/**
 * @file
 * @brief Simple replacement for popen that allowes for stdin, stdout and stderr pipes
 *
 *
 *
 *
 * Netsweeper Squid URL Redirector
 * This application is designed to work with the Netsweeper Internet Content Filtering System.
 *
 * Copyright 2010 Netsweeper Inc. All Rights Reserved.
 * Netsweeper, Netsweeper Inc. is either a copyrighted or registered trademark of Netsweeper Inc.
 */
#ifndef __JOPEN__HEADER__H__
#define __JOPEN__HEADER__H__

/** @brief The jopen file structure */
typedef struct _jfile {
	/* @brief The pipe we open to the stdin of the application */
	int to_stdin;
	/* @brief The pipe we open from stdout of the application */
	int from_stdout;
	/* @brief The pipe we open from stderr of the application */
	int from_stderr;

	/** @brief The process of the child app we are running */
	pid_t pid;
	/** @brief The entire program with arguments, we mangle this */
	char* program;
	/** @brief The program segmented into multiple arguments with a space */
	char* argv[200];
} JFILE;

JFILE* jopen(char* program);
void jclose(JFILE* jp);

#endif // #ifndef __JOPEN__HEADER__H__
